/***************************************************
* Zeus CMD - C++ Tutorial 28 : Advanced Structures *
* By Grant James (ZEUS)                            *
* http://www.zeuscmd.com                           *
***************************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

struct Player
{
	char *name;
	int health;

	Player(char *n) 
	{ 
		name = n; 
		health = 100;
	}
};

struct Enemy
{
	char *name;
	int health;

	Enemy(char *n) : name(n)
	{
		health = 100;
	}

	void decreaseHealth(int amount)
	{
		health -= amount;
	}
};

int main()
{
	Player player1("Bob");
	cout << player1.name << endl;

	Enemy enemy("Dr. Evil");
	cout << enemy.name << endl;
	enemy.decreaseHealth(20);
	cout << enemy.health << endl;

	system("pause");

	return 0;
}